import { getIdProduct } from '../utils/getId.js';

const defProduct = [
	{ type: 'food', name: 'chips', price: 200 },
	{ type: 'food', name: 'crackers', price: 150 },
	{ type: 'food', name: 'popcorn', price: 100 },
	{ type: 'food', name: 'pretzels', price: 120 },
	{ type: 'food', name: 'nachos', price: 180 },
	{ type: 'food', name: 'cookies', price: 200 },
	{ type: 'food', name: 'wafers', price: 160 },
	{ type: 'food', name: 'granola bars', price: 140 },
	{ type: 'food', name: 'cereal', price: 130 },
	{ type: 'food', name: 'nuts', price: 170 },
	{ type: 'food', name: 'dried fruits', price: 190 },
	{ type: 'food', name: 'chocolate', price: 210 },
	{ type: 'food', name: 'candy', price: 150 },
	{ type: 'food', name: 'gum', price: 50 },
	{ type: 'food', name: 'mints', price: 60 },
	{ type: 'food', name: 'jelly beans', price: 140 },
	{ type: 'food', name: 'marshmallows', price: 120 },
	{ type: 'food', name: 'cake', price: 250 },
	{ type: 'food', name: 'muffins', price: 230 },
	{ type: 'food', name: 'brownies', price: 240 },
	{ type: 'gadget', name: 'phone', price: 70_000 },
	{ type: 'gadget', name: 'tablet', price: 90_000 },
	{ type: 'gadget', name: 'camera', price: 50_000 },
	{ type: 'gadget', name: 'laptop', price: 55_000 },
	{ type: 'gadget', name: 'player', price: 5_000 },
	{ type: 'gadget', name: 'xbox', price: 15_000 },
	{ type: 'gadget', name: 'playstation', price: 25_000 },
	{ type: 'gadget', name: 'steamdeck', price: 20_000 },
	{ type: 'gadget', name: 'pc', price: 60_000 },
	{ type: 'gadget', name: 'workstation', price: 1_000_000 },
	{ type: 'book', name: 'Вы не знаете JavaScript', price: 1_000 },
	{ type: 'book', name: 'Чистый код', price: 1_200 },
	{ type: 'book', name: 'Выразительный JavaScript', price: 950 },
	{ type: 'book', name: 'Паттерны проектирования', price: 1_100 },
	{ type: 'book', name: 'JS.Полное руководство.', price: 1_400 },
	{ type: 'book', name: 'Грокаем алгоритмы', price: 1_000 },
	{ type: 'book', name: 'Большая книга CSS', price: 800 },
	{ type: 'book', name: 'PHP 7', price: 777 },
	{ type: 'book', name: 'Чистый Python', price: 1_257 },
	{ type: 'book', name: 'Head First Java', price: 2_000 },
];

export const PRODUCTS = defProduct.map((product) => ({
	...product,
	id: getIdProduct(),
}));
